from math import gcd


# Pomocnicza funkcja, która generuje opis prawidłowego zygzaka dla ułamka p/q.
def generujZygzak(p, q):
  # (x,y) będzie aktualną pozycją końca zygzaka.
  x = 0
  y = 0
  poprawny_zygzak = ""
  # Dopóki nie doszedłem/doszłam do końca.
  while x < q or y < p:
    # Sprawdzam czy mogę ruszyć w górę (preferowane) bez przekroczenia przekątnej.
    if (y+1)*q <= p*x:
      y += 1
      poprawny_zygzak += 'G'
    # Jeżeli nie, to ruszam się w prawo.
    else:
      x += 1
      poprawny_zygzak += 'P'
  return poprawny_zygzak


def main():
  # Wczytujemy opis zygzaka.
  zygzak = input()

  # Zliczamy liczbę znkaków G i P w opisie zygzaku.
  p = 0
  q = 0
  for znak in zygzak:
    if znak == 'G': p += 1
    elif znak == 'P': q += 1

  # Sprawdzenie, czy trasa wzorcowa pokrywa się z trasą na wejściu.
  if zygzak != generujZygzak(p,q):
    print("NIE")
  else:
    # Jeżeli tak, to chcemy znaleźć jego postać nieskracalną.
    # Aby to zrobić, liczymy największy wspólny dzielnik (gcd) p i q.
    d = gcd(p, q)
    # Po czym dzielimy p i q przez ten dzielnik.
    licznik = p // d
    mianownik = q // d
    # Na końcu wypisujemy ułamek w skróconej formie.
    print("%d/%d" % (licznik, mianownik))


main()
